From 581c1bb757e3fdd7f151c47ad8ca6eafcce5019a Mon Sep 17 00:00:00 2001
From: James Cryer <366068+jamescryer@users.noreply.github.com>
Date: Tue, 6 Jun 2023 22:12:23 +0100
Subject: [PATCH] dropped ci support for node v12, added v18

---
 .github/workflows/CI.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/.github/workflows/CI.yml b/.github/workflows/CI.yml
index 51db6f7..db7c123 100644
--- a/.github/workflows/CI.yml
+++ b/.github/workflows/CI.yml
@@ -26,7 +26,7 @@ jobs:
             - name: Set up Node.js
               uses: actions/setup-node@v1
               with:
-                  node-version: 16
+                  node-version: 18
 
             - name: Install Node.js dependencies
               run: npm ci
@@ -50,7 +50,7 @@ jobs:
             - name: Set up Node.js
               uses: actions/setup-node@v1
               with:
-                  node-version: 16
+                  node-version: 18
 
             - name: Install Node.js dependencies
               run: npm ci --ignore-scripts
@@ -67,7 +67,7 @@ jobs:
 
         strategy:
             matrix:
-                node-version: [12.x, 14.x]
+                node-version: [14.x, 18.x]
                 # See supported Node.js release schedule at https://nodejs.org/en/about/releases/
 
         steps:
